Index: trunk/source/track/include/G4StepPoint.hh
===================================================================
--- trunk/source/track/include/G4StepPoint.hh	(revision 850)
+++ trunk/source/track/include/G4StepPoint.hh	(revision 921)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4StepPoint.hh,v 1.18 2007/03/11 07:19:06 kurasige Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4StepPoint.hh,v 1.19 2008/10/24 08:22:20 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-cand-01 $
 //
 //
@@ -157,5 +157,5 @@
      // If the pointer is 0, this means the Step is defined
      // by the user defined limit in the current volume.
-  inline void SetProcessDefinedStep(G4VProcess* aValue);
+  inline void SetProcessDefinedStep(const G4VProcess* aValue);
 
   
@@ -206,5 +206,5 @@
    G4StepStatus fStepStatus;
       // DoIt type which defined the current Step.
-   G4VProcess* fpProcessDefinedStep;
+   const G4VProcess* fpProcessDefinedStep;
       // Process which defined the current Step.
    G4double fMass;
Index: trunk/source/track/include/G4StepPoint.icc
===================================================================
--- trunk/source/track/include/G4StepPoint.icc	(revision 850)
+++ trunk/source/track/include/G4StepPoint.icc	(revision 921)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4StepPoint.icc,v 1.13 2007/03/11 07:19:06 kurasige Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4StepPoint.icc,v 1.14 2008/10/24 08:22:20 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-cand-01 $
 //
 //
@@ -173,5 +173,5 @@
      // If the pointer is 0, this means the Step is defined
      // by the user defined limit in the current volume.
-   inline void G4StepPoint::SetProcessDefinedStep(G4VProcess* aValue)
+   inline void G4StepPoint::SetProcessDefinedStep(const G4VProcess* aValue)
    { fpProcessDefinedStep = aValue; }
 
Index: trunk/source/track/include/G4Track.hh
===================================================================
--- trunk/source/track/include/G4Track.hh	(revision 850)
+++ trunk/source/track/include/G4Track.hh	(revision 921)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Track.hh,v 1.18 2006/06/29 21:14:47 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4Track.hh,v 1.19 2008/10/24 08:22:20 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-cand-01 $
 //
 //
@@ -217,9 +217,9 @@
    void SetVertexKineticEnergy(const G4double aValue);
 
-   G4LogicalVolume* GetLogicalVolumeAtVertex() const;
-   void SetLogicalVolumeAtVertex(G4LogicalVolume* );
+   const G4LogicalVolume* GetLogicalVolumeAtVertex() const;
+   void SetLogicalVolumeAtVertex(const G4LogicalVolume* );
 
    const G4VProcess* GetCreatorProcess() const;
-   void SetCreatorProcess(G4VProcess* aValue);
+   void SetCreatorProcess(const G4VProcess* aValue);
 
   // track weight
@@ -273,6 +273,6 @@
    G4ThreeVector fVtxMomentumDirection; // Momentum direction at the vertex
    G4double fVtxKineticEnergy;          // Kinetic energy at the vertex
-   G4LogicalVolume* fpLVAtVertex;       //Logical Volume at the vertex
-   G4VProcess* fpCreatorProcess;        // Process which created the track
+   const G4LogicalVolume* fpLVAtVertex; //Logical Volume at the vertex
+   const G4VProcess* fpCreatorProcess; // Process which created the track
    
    G4VUserTrackInformation* fpUserInformation;
Index: trunk/source/track/include/G4Track.icc
===================================================================
--- trunk/source/track/include/G4Track.icc	(revision 850)
+++ trunk/source/track/include/G4Track.icc	(revision 921)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Track.icc,v 1.15 2007/10/02 00:46:21 kurasige Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4Track.icc,v 1.16 2008/10/24 08:22:20 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-02-cand-01 $
 //
 //-----------------------------------------------------------------
@@ -247,8 +247,8 @@
    { fVtxKineticEnergy = aValue; }
 
-   inline  G4LogicalVolume* G4Track::GetLogicalVolumeAtVertex() const
+   inline  const G4LogicalVolume* G4Track::GetLogicalVolumeAtVertex() const
    { return fpLVAtVertex; } 
 
-   inline void G4Track::SetLogicalVolumeAtVertex(G4LogicalVolume* aValue)
+   inline void G4Track::SetLogicalVolumeAtVertex(const G4LogicalVolume* aValue)
    { fpLVAtVertex = aValue; }
 
@@ -259,5 +259,5 @@
      // 0, it points to the process which created this track.
 
-   inline void G4Track::SetCreatorProcess(G4VProcess* aValue)
+   inline void G4Track::SetCreatorProcess(const G4VProcess* aValue)
    { fpCreatorProcess = aValue; }
 
